package eu.mhsl.minenet.minigames.instance.game.stateless.types.backrooms;

import eu.mhsl.minenet.minigames.instance.game.stateless.StatelessGame;
import eu.mhsl.minenet.minigames.instance.game.stateless.config.GameFactory;
import eu.mhsl.minenet.minigames.instance.game.stateless.config.Option;
import eu.mhsl.minenet.minigames.message.component.TranslatedComponent;

import java.util.Map;

public class BackroomsFactory implements GameFactory {
    @Override
    public TranslatedComponent name() {
        return TranslatedComponent.byId("gameBackrooms");
    }

    @Override
    public StatelessGame manufacture(Map<String, Option<?>> configuration) throws Exception {
        return new Backrooms();
    }
}
